# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/reset/thead,th1520-reset.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: T-HEAD TH1520 SoC Reset Controller

description:
  The T-HEAD TH1520 reset controller is a hardware block that asserts/deasserts
  resets for SoC subsystems.

maintainers:
  - Michal Wilczynski <m.wilczynski@samsung.com>

properties:
  compatible:
    enum:
      - thead,th1520-reset # Reset controller for VO subsystem
      - thead,th1520-reset-ao
      - thead,th1520-reset-ap
      - thead,th1520-reset-dsp
      - thead,th1520-reset-misc
      - thead,th1520-reset-vi
      - thead,th1520-reset-vp

  reg:
    maxItems: 1

  "#reset-cells":
    const: 1

required:
  - compatible
  - reg
  - "#reset-cells"

additionalProperties: false

examples:
  - |
    soc {
      #address-cells = <2>;
      #size-cells = <2>;
      rst: reset-controller@ffef528000 {
        compatible = "thead,th1520-reset";
        reg = <0xff 0xef528000 0x0 0x1000>;
        #reset-cells = <1>;
      };
    };
